%define _altdata_dir %_datadir/alterator

Name: alterator-net-openvpn
Version: 0.2.1
Release: alt2
License: %gpl2plus
Group: System/Configuration/Other
Summary: Alterator module for openvpn connections configuration
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar

Requires: alterator >= 4.7-alt3 alterator-sh-functions >= 0.6-alt5 libshell >= 0.0.1-alt4
Requires: alterator-net-functions >= 0.8-alt2
#Requires: alterator-l10n
Requires: openvpn
Requires: etcnet
Requires: openresolv

BuildPreReq: alterator >= 4.7-alt3

BuildRequires: rpm-build-licenses

BuildArch: noarch

%description
Alterator module for openvpn connections configuration

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_alterator_backend3dir/*

%changelog
* Tue Apr 28 2009 Mikhail Efremov <sem@altlinux.org> 0.2.1-alt2
- openresolv requires is added

* Mon Apr 27 2009 Mikhail Efremov <sem@altlinux.org> 0.2.1-alt1
- use ui-blob for .csr file.
- fix name in .desktop file

* Mon Apr 27 2009 Mikhail Efremov <sem@altlinux.org> 0.2.0-alt1
- use OpenVPN server's DNS

* Thu Apr 16 2009 Mikhail Efremov <sem@altlinux.org> 0.1.5-alt1
- Russian translation 

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.1.4-alt1
- UI improved.
- use radio buttons for device type removed 'reset' button.

* Tue Apr 14 2009 Mikhail Efremov <sem@altlinux.org> 0.1.3-alt1
- UI improved.
- rename 'OpenVPN client' -> 'OpenVPN connections'.
- use next_iface from alterator-net-functions.

* Fri Apr 03 2009 Mikhail Efremov <sem@altlinux.org> 0.1.2-alt1
- remove old ssl files before creating new ones.
- fix typo.

* Thu Apr 02 2009 Mikhail Efremov <sem@altlinux.org> 0.1.1-alt1
- use cert-sh-functions.
- fixed certificates upload

* Thu Apr 02 2009 Mikhail Efremov <sem@altlinux.org> 0.1.0-alt2
- fix files section

* Wed Apr 01 2009 Mikhail Efremov <sem@altlinux.org> 0.1.0-alt1
- 0.1.0

* Tue Mar 17 2009 Mikhail Efremov <sem@altlinux.org> 0.0.1-alt1
- initial release

